Skip to main content
`Ctrl`+`K`

# PetscStackView

Print the current (default) PETSc stack to an ASCII file

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStackView(FILE *file)

Not Collective

## Input Parameter

- file - the file pointer, or `NULL` to use `PETSC_STDERR`

## Notes

In debug mode PETSc maintains a stack of the current function calls that can be used to help to quickly see where a problem has occurred, for example, when a signal is received. It is recommended to use the debugger if extensive information is needed to help debug the problem.

If `file` is `PETSC_STDERR` (or `NULL`) then `PetscErrorPrintf()` is used to print the stack, otherwise `fprintf()` is used.

## Developer Note

The default stack is a global variable called `petscstack`.

## See Also

`PetscAttachDebugger()`, `PetscStackCopy()`, `PetscStackPrint()`, `PetscStackSAWsGrantAccess()`, `PetscStackSAWsTakeAccess()`

## Level

developer

## Location

src/sys/error/pstack.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages